<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: wims Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>wims Class Reference</h1><!-- doxytag: class="wims" -->
<p><a href="classwims-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#a1630bab911b9bd1135443ce001497e1b">__construct</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#a280891881c6ce5935be68df2ebd7b1d1">check_server_ident</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#a7dd0cf8cd692c9fd866132ca15687e63">is_ok</a> ($result)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#a1aa02c3cb4ff351f3d4a78d1768c4148">exec_job</a> ($job, $param_job=&quot;&quot;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#ac977be40965d10f344b9b11af0433f54">exec_job_to_array</a> ($job, $param_job=&quot;&quot;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#a44ca9bcc42a06a716f81b6f8b4b16ab3">get_login</a> ($method=&quot;&quot;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#a1d56439d9c42b8bddb5593a879b1eaca">authuser</a> ($qclass, $rclass, $quser)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#a68e7a88dd7055b4061d927669a5aa566">user_connect</a> ($qclass, $rclass, $quser, $link_text=&quot;Connexion&quot;, $link=true)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#a5fb59ec56803b9f7ddf49d2616e9079e">get_classes</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#a05311ace46357b53405d3565b529a536">list_classes</a> ($type=&quot;file&quot;, $xml_data=&quot;&quot;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#a3c833ed6ea220ea4193bd6ad8336b46c">select_classes</a> ($select_name, $select_text, $form_id)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#a085a051abdc37ea65463275d45c18ba1">select_classes_user_from_job</a> ($select_name, $select_text, $form_id, $method=&quot;&quot;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#a9d4da1252b7b506aa410b90a0e33eff3">get_classes_user_from_job</a> ($method=&quot;&quot;)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#a7644e08982b311c8d65b081e9e9e6acf">get_classes_from_job</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#a943c6b4eef520f37a52381f95ab72029">build_xml_from_wims</a> ($result)</td></tr>
<tr><td colspan="2"><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#ac68ab1986a99d485fc4d8a00000065dd">$xml_filename</a> = NULL</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#a2fbdaf3dae5822904f5cd5cd0568f0ef">$get_classes</a> = array()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#a7f6548ae6a8237a72b792fa9eba77b1c">$available_classes</a> = array()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#af7d8f1aa302d366e4d98af9708efb0b3">$xml_data</a> = NULL</td></tr>
<tr><td colspan="2"><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#a8330383623c610b205a09550eb488a16">exec_url</a> ($url)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwims.html#a86e38e0919f68008a21f51ca235106d8">exec_url_to_array</a> ($url)</td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>This class give us some methods to initialize connection between a server and a server <a class="el" href="classwims.html">wims</a>.</p>
<p>author: Christophe Lefevre - <a href="mailto:christophe.lefevre@u-psud.fr">christophe.lefevre@u-psud.fr</a> date: 16-01-2009 update: 31-08-2009 </p>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a1630bab911b9bd1135443ce001497e1b"></a><!-- doxytag: member="wims::__construct" ref="a1630bab911b9bd1135443ce001497e1b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::__construct </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Default constructor which check informations about server</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>void </dd></dl>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a1d56439d9c42b8bddb5593a879b1eaca"></a><!-- doxytag: member="wims::authuser" ref="a1d56439d9c42b8bddb5593a879b1eaca" args="($qclass, $rclass, $quser)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::authuser </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>qclass</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>rclass</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>quser</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This function will connect user on <a class="el" href="classwims.html">wims</a> server. Return the result of authuser job</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>qclass</em>&nbsp;</td><td>string ident of <a class="el" href="classwims.html">wims</a> class (often a number) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>rclass</em>&nbsp;</td><td>string name of the class for this server </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>quser</em>&nbsp;</td><td>string login of the user to authenticate</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>string job's result string </dd></dl>

</div>
</div>
<a class="anchor" id="a943c6b4eef520f37a52381f95ab72029"></a><!-- doxytag: member="wims::build_xml_from_wims" ref="a943c6b4eef520f37a52381f95ab72029" args="($result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::build_xml_from_wims </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>result</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a280891881c6ce5935be68df2ebd7b1d1"></a><!-- doxytag: member="wims::check_server_ident" ref="a280891881c6ce5935be68df2ebd7b1d1" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::check_server_ident </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This function will check is server is recognized on <a class="el" href="classwims.html">wims</a> There is no parameter, we take config file data</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>boolean true if server is recognized </dd></dl>

</div>
</div>
<a class="anchor" id="a1aa02c3cb4ff351f3d4a78d1768c4148"></a><!-- doxytag: member="wims::exec_job" ref="a1aa02c3cb4ff351f3d4a78d1768c4148" args="($job, $param_job=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::exec_job </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>job</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>param_job</em> = <code>&quot;&quot;</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This function allows to exec a job with parameters or not. Just give the name of the job, the url is automaticaly build to avoid hacking attempt.</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>job</em>&nbsp;</td><td>string name of the job </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>param_job</em>&nbsp;</td><td>string string of job's parameters in url format (don't start by &amp;)</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>string result in a string </dd></dl>

</div>
</div>
<a class="anchor" id="ac977be40965d10f344b9b11af0433f54"></a><!-- doxytag: member="wims::exec_job_to_array" ref="ac977be40965d10f344b9b11af0433f54" args="($job, $param_job=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::exec_job_to_array </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>job</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>param_job</em> = <code>&quot;&quot;</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>this is the same function than exec_job, but, it returns array instead of string</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>job</em>&nbsp;</td><td>string name of the job </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>param_job</em>&nbsp;</td><td>string string of job's parameters in url format</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>array array of result </dd></dl>

</div>
</div>
<a class="anchor" id="a8330383623c610b205a09550eb488a16"></a><!-- doxytag: member="wims::exec_url" ref="a8330383623c610b205a09550eb488a16" args="($url)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::exec_url </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>url</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Call this function to execute a url (with job) and get the return. There is only one verification if url can't be opened</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>url</em>&nbsp;</td><td>string url to execute</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>string string of result </dd></dl>

</div>
</div>
<a class="anchor" id="a86e38e0919f68008a21f51ca235106d8"></a><!-- doxytag: member="wims::exec_url_to_array" ref="a86e38e0919f68008a21f51ca235106d8" args="($url)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::exec_url_to_array </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>url</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>this is the same function than exec_url, but, it returns array instead of string</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>url</em>&nbsp;</td><td>string url to execute</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>array array of result </dd></dl>

</div>
</div>
<a class="anchor" id="a5fb59ec56803b9f7ddf49d2616e9079e"></a><!-- doxytag: member="wims::get_classes" ref="a5fb59ec56803b9f7ddf49d2616e9079e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::get_classes </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>this function generate XML file with all available classes from downloaded file it will copy file info getclasses.xml file (check rights of this file) This file is only generated one time by 24 hours.</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>void </dd></dl>

</div>
</div>
<a class="anchor" id="a7644e08982b311c8d65b081e9e9e6acf"></a><!-- doxytag: member="wims::get_classes_from_job" ref="a7644e08982b311c8d65b081e9e9e6acf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::get_classes_from_job </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>this function will get informations about available classes to current server this is the same purpose that get_classes but this function use <a class="el" href="classwims.html">wims</a> job</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>void </dd></dl>

</div>
</div>
<a class="anchor" id="a9d4da1252b7b506aa410b90a0e33eff3"></a><!-- doxytag: member="wims::get_classes_user_from_job" ref="a9d4da1252b7b506aa410b90a0e33eff3" args="($method=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::get_classes_user_from_job </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>method</em> = <code>&quot;&quot;</code></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a44ca9bcc42a06a716f81b6f8b4b16ab3"></a><!-- doxytag: member="wims::get_login" ref="a44ca9bcc42a06a716f81b6f8b4b16ab3" args="($method=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::get_login </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>method</em> = <code>&quot;&quot;</code></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This function returns wims's login from configuration variables You can specify <a class="el" href="classauthentication.html">authentication</a> method, if you want to use another method than config file. It can be usefull if <a class="el" href="classwims.html">wims</a> classes don't use the same login syntax</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>method</em>&nbsp;</td><td>string name og the <a class="el" href="classauthentication.html">authentication</a> method (default: empty =&gt; use config file method)</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>login string login to connect to <a class="el" href="classwims.html">wims</a> class </dd></dl>

</div>
</div>
<a class="anchor" id="a7dd0cf8cd692c9fd866132ca15687e63"></a><!-- doxytag: member="wims::is_ok" ref="a7dd0cf8cd692c9fd866132ca15687e63" args="($result)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::is_ok </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>result</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>this function checks if return of <a class="el" href="classwims.html">wims</a> is right (OK)</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>result</em>&nbsp;</td><td>string result of <a class="el" href="classwims.html">wims</a> job</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>boolean true if job is ok </dd></dl>

</div>
</div>
<a class="anchor" id="a05311ace46357b53405d3565b529a536"></a><!-- doxytag: member="wims::list_classes" ref="a05311ace46357b53405d3565b529a536" args="($type=&quot;file&quot;, $xml_data=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::list_classes </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>type</em> = <code>&quot;file&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>xml_data</em> = <code>&quot;&quot;</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This function build an array with each available classes from xml data. type can be string or file. For type=string, xml_data is used</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>type</em>&nbsp;</td><td>string type of variable (file or string) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>xml_data</em>&nbsp;</td><td>SimpleXMLElement xml data (only used for string type)</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>classes_xml's object </dd></dl>

</div>
</div>
<a class="anchor" id="a3c833ed6ea220ea4193bd6ad8336b46c"></a><!-- doxytag: member="wims::select_classes" ref="a3c833ed6ea220ea4193bd6ad8336b46c" args="($select_name, $select_text, $form_id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::select_classes </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>select_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>select_text</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>form_id</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This function returns html select code with available classes for this server It's very usefull if you have more than 1 class</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>select_name</em>&nbsp;</td><td>string name of the html select markup </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>select_text</em>&nbsp;</td><td>string default text to show in select markup </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>form_id</em>&nbsp;</td><td>string id of the form, to submit automaticaly on change </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>type</em>&nbsp;</td><td>string type of data (string or file, default file) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>xml_data</em>&nbsp;</td><td>SimpleXMLElement xml data used for string type</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>string html select code </dd></dl>

</div>
</div>
<a class="anchor" id="a085a051abdc37ea65463275d45c18ba1"></a><!-- doxytag: member="wims::select_classes_user_from_job" ref="a085a051abdc37ea65463275d45c18ba1" args="($select_name, $select_text, $form_id, $method=&quot;&quot;)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::select_classes_user_from_job </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>select_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>select_text</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>form_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>method</em> = <code>&quot;&quot;</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a68e7a88dd7055b4061d927669a5aa566"></a><!-- doxytag: member="wims::user_connect" ref="a68e7a88dd7055b4061d927669a5aa566" args="($qclass, $rclass, $quser, $link_text=&quot;Connexion&quot;, $link=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::user_connect </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>qclass</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>rclass</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>quser</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>link_text</em> = <code>&quot;Connexion&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>link</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This function will check if user can be authentified by <a class="el" href="classwims.html">wims</a> server. If it's right, this function will show a link with opened <a class="el" href="classsession.html">session</a> on <a class="el" href="classwims.html">wims</a> or will redirect to <a class="el" href="classwims.html">wims</a> (value of boolean's variable link)</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>qclass</em>&nbsp;</td><td>string ident of class on <a class="el" href="classwims.html">wims</a> server </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>rclass</em>&nbsp;</td><td>string ident of class for this server </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>quser</em>&nbsp;</td><td>string username in <a class="el" href="classwims.html">wims</a> for current user </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>link_text</em>&nbsp;</td><td>string string to show as a link (default "Connexion") </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>link</em>&nbsp;</td><td>boolean if it's true, show a link else it will automaticaly redirect to <a class="el" href="classwims.html">wims</a> server (default true)</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>void </dd></dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a7f6548ae6a8237a72b792fa9eba77b1c"></a><!-- doxytag: member="wims::$available_classes" ref="a7f6548ae6a8237a72b792fa9eba77b1c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::$available_classes = array()</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>all available classes for a user from a server. this array containst for each classe: rclas, qclass and description </p>

</div>
</div>
<a class="anchor" id="a2fbdaf3dae5822904f5cd5cd0568f0ef"></a><!-- doxytag: member="wims::$get_classes" ref="a2fbdaf3dae5822904f5cd5cd0568f0ef" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::$get_classes = array()</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>variable to store informations (rclass, qclass) for alla available classes </p>

</div>
</div>
<a class="anchor" id="af7d8f1aa302d366e4d98af9708efb0b3"></a><!-- doxytag: member="wims::$xml_data" ref="af7d8f1aa302d366e4d98af9708efb0b3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::$xml_data = NULL</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac68ab1986a99d485fc4d8a00000065dd"></a><!-- doxytag: member="wims::$xml_filename" ref="ac68ab1986a99d485fc4d8a00000065dd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wims::$xml_filename = NULL</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>xml filename which contains informations about connections to wims's server </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>D:/web/serveur/dokeos/acces_wims/<a class="el" href="wims_8inc_8php.html">wims.inc.php</a></li>
</ul>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:57 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
